WebLogicConnection (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.web.iplanet.WebLogicConnection interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.web.iplanet
Interface WebLogicConnection

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, WebConnection

    public interface WebLogicConnection

extends WebConnection

Represents a WebLogic connection from an IPlanet Server

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getConnectionName()`
`java.lang.String` | `getPathTrim()`
`boolean` | `hasConnectionName()`
`boolean` | `hasPathTrim()`
`void` | `setConnectionName(java.lang.String connName)`
`void` | `setPathTrim(java.lang.String pathTrim)`

Methods inherited from interface com.collation.platform.model.topology.app.web.WebConnection
`getParent, getPath, getTargets, hasParent, hasPath, hasTargets, setParent, setPath, setTargets`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getPathTrim

    java.lang.String getPathTrim()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPathTrim

    void setPathTrim(java.lang.String pathTrim)

### hasPathTrim

    boolean hasPathTrim()

### getConnectionName

    java.lang.String getConnectionName()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setConnectionName

    void setConnectionName(java.lang.String connName)

### hasConnectionName

    boolean hasConnectionName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD